Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion
Class EPPSuggestionCell

    java.lang.Object
      com.verisign.epp.codec.suggestion.EPPSuggestionCell

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPSuggestionCell

extends java.lang.Object
implements EPPCodecComponent

A Cell is an element within a Record, which in turn is an element within the Grid response. A Cell associates a score and status with a TLD. The encapsulating record further associates a domain with these scores.

Author:
  jcolosi
See Also:
  Serialized Form

Constructor Summary
`EPPSuggestionCell()` Constructor.
`EPPSuggestionCell(org.w3c.dom.Element aElement)` Constructor.
`EPPSuggestionCell(java.lang.String aTld, short aScore, java.lang.String aStatus)` Constructor.

Method Summary
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object o)`
`UnsignedShort` | `getScore()` Score getter.
`StatusEnum` | `getStatus()` Status getter.
`java.lang.String` | `getTld()` Tld Getter.
`void` | `setScore(short aScore)` Score setter.
`void` | `setScore(java.lang.String aScoreAsString)` Score setter.
`void` | `setScore(UnsignedShort aScore)` Score setter.
`void` | `setStatus(StatusEnum aStatus)` Status setter.
`void` | `setStatus(java.lang.String aStatusAsString)` Status setter.
`void` | `setTld(java.lang.String aTld)` Tld setter.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPSuggestionCell

    public EPPSuggestionCell()

  Constructor.

### EPPSuggestionCell

    public EPPSuggestionCell(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

  Constructor.

  Parameters:
    `aElement` - a dom element
  Throws:
    `EPPDecodeException`

### EPPSuggestionCell

    public EPPSuggestionCell(java.lang.String aTld,
                             short aScore,
                             java.lang.String aStatus)
                      throws InvalidValueException

  Constructor.

  Parameters:
    `aTld` - a tld
    `aScore` - a score
    `aStatus` - a status
  Throws:
    `InvalidValueException`

Method Detail

### getTld

    public java.lang.String getTld()

  Tld Getter.

  Returns:
    a tld

### getScore

    public UnsignedShort getScore()

  Score getter.

  Returns:
    a score

### getStatus

    public StatusEnum getStatus()

  Status getter.

  Returns:
    status

### setTld

    public void setTld(java.lang.String aTld)

  Tld setter.

  Parameters:
    `aTld` - a tld

### setScore

    public void setScore(short aScore)
                  throws InvalidValueException

  Score setter.

  Parameters:
    `aScore` - a score
  Throws:
    `InvalidValueException`

### setScore

    public void setScore(java.lang.String aScoreAsString)
                  throws InvalidValueException

  Score setter.

  Parameters:
    `aScoreAsString` - a score as string
  Throws:
    `InvalidValueException`

### setScore

    public void setScore(UnsignedShort aScore)

  Score setter.

  Parameters:
    `aScore` - a score
  Throws:
    `InvalidValueException`

### setStatus

    public void setStatus(StatusEnum aStatus)

  Status setter.

  Parameters:
    `aStatus` - a status

### setStatus

    public void setStatus(java.lang.String aStatusAsString)
                   throws InvalidValueException

  Status setter.

  Parameters:
    `aStatusAsString` - a status as string
  Throws:
    `InvalidValueException`

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Description copied from interface: `EPPCodecComponent`
  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Description copied from interface: `EPPCodecComponent`
  decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
  For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - root DOM element associated with instance
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Description copied from interface: `EPPCodecComponent`
  encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
  For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM document used as a factory of DOM objects.
  Returns:
    instance root DOM element along with attribute child nodes.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.